Other B4A v10.9 is available for download

Erel

Administrator
Staff member
Licensed User
I'm happy to release a new version of B4A.

Improvements:
  • IDE performance - several cases where the typing speed became slow were fixed. The speed difference in those cases is significant.
  • B4A SdK Manager v4.0 - bug fixes and minor improvements. It is configured to download a specific set of Firebase libraries.
  • The additional resources package was updated. If you encounter any compilation issues, especially related to Firebase, then it is recommended to delete your current Android SDK and download a new one: https://www.b4x.com/b4a.html
  • FirebaseAdMob is deprecated and will not work with the updated resources. Google started to reject apps with the old user consent form in some cases. Time to switch to the new FirebaseAdMob2 library:
  • New private signing keys are created with the RSA algorithm, as required by Google.
  • The app bundle feature detects the key signing algorithm and will sign with the correct one. You can explicitly set the algorithm with #SignKeyAlgorithm but in most cases it is no longer required.
  • "after packager" custom build action step.
  • The bridge indicator in the bottom left corner shows the device name.
  • Copying of labels between B4A and B4i preserves the single line property (will work when pasting in B4i once a new version of B4i is released).
  • Add existing modules dialog - option to copy module(s) to parent folder.
  • New and updated internal libraries: XUI Views (2.50), X2 (2.0), Phone (2.51), XUI (2.1), FirebaseAdMob2 (2.13), B4XPreferencesDialog (1.73), OkHttpUtils2 (2.96), B4XPages (1.09), BCTextEngine (1.87), FirebaseAuth (2.01)
  • Recommended targetSdkVersion set to 30. Warning will appear if it is 28-.
  • Bug fixes and minor improvements.
Note that X2 v2.0 includes some breaking changes: [XUI2D] X2 v2.0 - 2021
The old X2 library is available here: https://www.b4x.com/android/forum/threads/b4a-v10-9-beta-is-available-for-download.131515/#content

https://www.b4x.com/b4a.html
 

Cyan

Member
Licensed User
Thank you Erel for all your hard work.

I know that the old FirebaseAdMob v1 library has been deprecated, I guess that there is no way to compile something that uses it on B4A v10.9, even if I don't update the SDK?

Reason for asking is that I am a bit reluctant to use FirebaseAdMob2 with consent due to the UMP SDK "issue" of allowing users to disable ads completely (https://groups.google.com/g/google-admob-ads-sdk/c/UcveWmtBm4Q)
 

Erel

Administrator
Staff member
Licensed User
I know that the old FirebaseAdMob v1 library has been deprecated, I guess that there is no way to compile something that uses it on B4A v10.9, even if I don't update the SDK?
It will work if you use an old SDK.

Hi, this error occurred while compiling
Please start a new thread and make sure to post it as text instead of screenshot.
 

Sandman

Well-Known Member
Licensed User
Recommended targetSdkVersion set to 30. Warning will appear if it is 28-.
Using 10.9, I emptied the manifest for my project, saved and opened it again. B4A had set targetSdkVersion to 29, seems it should set it to 30?
 

luke2012

Well-Known Member
Licensed User
Thanks @Erel for this improved version! :)
All the compilation steps are fine using the previous B4A version, but with the 10.90 I got this error during the signin process:

Signing package file (debug key). Error
Unsupported option: --v3-signing-enabled. See --help for supported options.

How to solve this ?
I have to update Android SDK?
 
Top